Subject: RE: Carrier ENUM Definition (was RE: [Enum] Agenda items forIETF Paris)

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Fri, 22 Jul 2005 16:37:09 -0400

Inline. 

> -----Original Message-----
> From: Michael Haberler [mailto:mah at inode.at] 
> Sent: Monday, July 18, 2005 9:50 PM
> To: Michael Hammer (mhammer)
> Cc: enum at ietf.org
> Subject: RE: Carrier ENUM Definition (was RE: [Enum] Agenda 
> items forIETF Paris)
> 
> At 21:21 18.07.2005, Michael Hammer \(mhammer\) wrote:
> 
> >Michael,
> >
> >We are still not there yet.
> >
> >I am party A.  I get an E.164 number directly from the number 
> >administrator (not through a carrier) and put it in User ENUM.
> 
> did you contract a telco to route that number in the PSTN 
> once you got it, or not?

This number could have been set aside as a VoIP number, thus the PSTN
would route a call to a PSTN gateway that should look it up in User ENUM
and could route over the Internet to me.  Of course there is no
regulation requiring them to do so.  But, if they didn't you would find
such numbers useless, begging the question of why a national public
resource is wasted.  The caller has contracted with the carrier to
deliver the call, so why should the carrier not attempt to deliver it?

> >My mother is party B.  She gets E.164 number from a carrier who has
> >moved her over to VoIP and puts that number in Carrier ENUM, 
> but doesn't
> >tell her anything about User ENUM.  (She doesn't monitor ENUM WG
> >mailer.)
> >
> >My mother can call me, since carrier is smart enough to look me up in
> >User ENUM.  But, they are not required to do so!  So, maybe she can't
> >call me.
> >
> >Can I call my mother?  No.
> 
> Yes, and that is your problem, not an ENUM problem.

It is an ENUM problem if a carrier point of interconnect address is not
available.  
It is a SIP problem once I have an IP address to route the call to.

> >I do lookup in User ENUM and she is not
> >there.
> >I (according to you) may not have access to Carrier ENUM, or
> >even if I did, sending a call to the interconnect point would be
> >rejected because I don't have an interconnect agreement with every
> >carrier.
> 
> yes, that's how life is for phone users - I'll have to be a 
> customer of a 
> telco so I can be called by the non-User-ENUM-aware population.

You've turned the problem around.  Please stick with the given scenario.
My mother, party B, ie the called party IS a carrier customer.  And I as
the caller am both User ENUM and Carrier ENUM aware.  So, why wouldn't
the carrier deliver the service to my mother that she is paying for?

> >My only recourse is to get an E.164 number from a major
> >carrier that likely has interconnect to my mother's carrier.
> 
> No, your recourse is to contract a telco to route that number 
> in the PSTN, 

But, I don't want to route the call through the PSTN at all, I want to
route the call through the Internet to the carrier VoIP network serving
(supposedly) my mother!

> just like everybody else does. For your ability to be called 
> by your mother 
> you' or your mother likely do not care about carrier ENUM or 
> not used by 
> your telcos, and frankly its not your business in the first 
> place if you 
> are a user. Carrier ENUM or not is a carrier business 
> decision (aka carrier 
> opt-in).

How is opt-in by carriers going to be any better than opt-in by users?
Sounds like a repeat of the same issues.  If ENUM is to supplant LNP,
then the same characteristic must exist of having wide visibility of
what number belongs to what carrier.

> Part of the misunderstanding we have might actually be based in the 
> historically fuzzy definition of number ownership and rights and 
> obligations attached to it. The fuzz factor comes in in two 
> ways a) a telco 
> sort of "owns" a number until a user ports away b) for individually 
> assigned numbers (as in my example +43 59966) the owner still 
> needs to turn 
> around and contract a telco to route it which sort of makes 
> him the "number 
> range holder" for a number you own - again until one ports 
> elsewhere. The 
> better term thus really is "carrier-of-record" which covers 
> all cases - 
> number issued out of a block, number ported to new carrier 
> (of record) and 
> individually assigned number "recorded" to be routed in the 
> PSTN by that telco.

So really the carrier owns the number, not the end-user.

> >The end result will be that User ENUM dies and we all have 
> to get E.164
> >from and subscribe to carrier to get calls through.
> 
> The current result is that telcos care zilch about user ENUM 
> and deliver 
> calls over the PSTN, which is why you are well advised to 
> have a telco 
> route to your number no matter how you'd obtained it, so you 
> can be called 
> by the 99.999999% of non-user-ENUM telephone users.
> 
> The medium result might be that telcos migrate to IP 
> interconnect but just 
> dont give up their habits yet. Enlightened telcos might 
> consult User ENUM, 
> too, besides some other mechanism to drive their IP 
> interconnect, but that 
> doesnt make my day.
> 
> The long term result might be that telcos get revenue through useful 
> service to customers and not by charging at the termination 
> bottleneck. 
> Whoa.. what a concept..

Now you are getting the idea.  But, your arguments are for retaining the
status quo with all its regulations and tariffs.

> 
> Whatever the outcome, I wouldnt operate on the assumption 
> that one can 
> force, or shortcut that development through IETF activity. An 
> offering 
> which aids migration between business models might help. An 
> approach which 
> exclusively addresses the 0.000001% scenario is likely to be 
> a very the 
> long road.

It is only that percent if you preclude that as a viable option from the
start.

Mike

> >What good is it to
> >be able to communicate only to the miniscule minority that knows
> >otherwise?
> 
> That is in fact an excellent question, and encapsulates the User ENUM 
> adoption problem entirely.
> 
> The fact that you own an E.164 identifier doesnt give you the 
> right to 
> force everbody else in the world to deliver to said 
> identifier in a way you 
> would like (and I would like, put the PSTN aint like email).
> 
> -Michael
> 

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: "Clive D.W. Feather" <[email-masked]>
Date: Tue, 26 Jul 2005 05:16:24 -0400

> deliver the call, so why should the carrier not attempt to deliver it?

Because they have no path to do so.

For many years, my telco wouldn't deliver calls to various country codes
because they didn't have interconnection agreements.

In the UK, Directory Enquiries is a competitive service using the (non-E.164)
number range 118000 to 118999. My carrier, however, will only connect me to
exactly two of those numbers; they haven't bothered to set up an
interconnection agreement with the operators of the other 998.

In both cases, "contracted with" is JUST PLAIN WRONG - the contract
excludes numbers not reachable for such reasons.

[Most UK numbers are reachable from one another because BT has a regulatory
obligation to provide both interconnect and transit to all comers. However,
some combinations don't work because the originating carrier isn't willing
to charge a high enough call cost to cover the transit and termination fees
involved.]

> the caller am both User ENUM and Carrier ENUM aware.

Do you have a call termination agreement with either your mother's telco,
or with a telco who does and who is willing to provide transit? If not,
then it's *YOUR* fault, not anyone else's.

> So, why wouldn't

She may need to re-read her contract.

> route the call through the Internet to the carrier VoIP network serving

That carrier network has costs. How are you proposing they be paid, and by
whom?

-- 
Clive D.W. Feather  | Work:  <clive at demon.net>   | Tel:    +44 20 8495 6138
Internet Expert     | Home:  <clive at davros.org>  | Fax:    +44 870 051 9937
Demon Internet      | WWW: http://www.davros.org | Mobile: +44 7973 377646
Thus plc            |                            |